<template>
  <editDrawer ref="editDrawerRef" />
  <editGroup ref="editGroupRef" />
  <editFormula ref="editFormulaRef" />
  <ns-view-list-table v-bind="config" />
</template>
<script lang="ts" setup>
  import { createVNode, onMounted, ref } from 'vue';
  import { tableConfig, treeConfig } from './config';
  import { useParams } from '/nerv-lib/use';
  import editDrawer from './edit.vue';
  import editGroup from './editGroup.vue';
  import editFormula from './editFormula.vue';

  const { getParams } = useParams();
  const editDrawerRef = ref();
  const editGroupRef = ref();
  const editFormulaRef = ref();
  const config = tableConfig(editDrawerRef, editGroupRef, editFormulaRef);
</script>
<style lang="less" scoped></style>
